#
# spec file for package python-onnxconverter-common
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-onnxconverter-common
Version:        1.6.5
Release:        1.1
Summary:        ONNX Converter and Optimization Tools
License:        MIT
URL:            https://github.com/microsoft/onnxconverter-common
Source:         https://github.com/microsoft/onnxconverter-common/archive/v%{version}.tar.gz#/onnxconverter_common-%{version}.tar.gz
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module onnx}
BuildRequires:  %{python_module protobuf}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-numpy
Requires:       python-onnx
Requires:       python-protobuf
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
The onnxconverter-common package provides common functions and utilities for
use in converters from various AI frameworks to ONNX. It also enables the
different converters to work together to convert a model from mixed frameworks,
like a scikit-learn pipeline embedding a xgboost model.

%prep
%setup -q -n onnxconverter-common-%{version}

%build
%python_build
dos2unix README.md

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/onnxconverter_common*

%check
%pytest

%changelog
* Wed Mar  4 2020 Tomáš Chvátal <tchvatal@suse.com>
- Add missing dependencies fixing failing tests
- Update to 1.6.5:
  * e87c572 port the topology bug fixing. (#49)
  * 2ffbcad Support dynamic inputs for apply_slice (#48)
  * 7185620 A better operator builder for ONNXConverter-Common (#46)
  * c452903 Support dynamic pads for Pad opset 11 (#45)
  * 9bc1744 Use axes for Squeeze/Unsqueeze (#44)
  * 66f8887 Allow repeats be string type for apply_tile (#43)
  * 47a6c35 Add apply_conv (#42)
  * 98ee169 Add apply_squeeze (#40)
  * 82f08ed Add apply_gather, apply_greater, apply_gru, etc (#39)
  * 672c5f7 Reformat and clean up some codes.
  * f684aeb Use coordinate_transformation_mode as default parameter (tf 2.0 will change it) (#38)
  * 85e9bcf Add support for detecting if h2o is installed. (#37)
  * b5f216b Handle dynamic shape in apply_reshape (#36)
  * b9700d1 Handle case input_name is list for apply_reshape (#35)
  * 511a071 Generate graph after optimizing onnx model (#34)
* Wed Mar  4 2020 Tomáš Chvátal <tchvatal@suse.com>
- Rename to onnxconverter-common to match up pypi name
* Mon Mar  2 2020 Christian Goll <cgoll@suse.com>
- inital commit of the onnx-convertet_common tools version 1.6.0
